local name, addon = ...
local modName = "greedorbs"
local message = {
  ["enUS"] = "Autogreed Runed Orb/Chaos Orb",
  ["deDE"] = "Gier f\195\188r runenbeschriebene Kugel/Chaoskugel"
}
addon['mhmods'] = addon['mhmods'] or {}
local orbList = {
	[45087] = true, -- runed orb
	[52078] = true, -- chaos orb
}

local options
local defaults = {
	
}
local function getPref2(key)
	local db = addon['MH_GetDB'](modName, defaults)
	return db[key]
end

local function getPref(pref)
	return getPref2(pref[#pref])
end

local function setPref(pref,value)
	local db = addon['MH_GetDB'](modName, defaults)
	db[pref[#pref]] = value
end

addon['mhmods'][#addon['mhmods'] + 1] = {
	['name'] = modName,
	['message'] = message[GetLocale()] or message["enUS"],
	['events'] = { "START_LOOT_ROLL"},
	['onevent'] = function (event, id, ...)
		if (not id) then return end
--		print("go",tonumber(addon['getItemId'](GetLootRollItemLink(id))),orbList[tonumber(addon['getItemId'](GetLootRollItemLink(id)))])
		if(orbList[tonumber(addon:getItemId(GetLootRollItemLink(id)))]) then 
			if(getPref2('needOrb'..addon:getItemId(GetLootRollItemLink(id)))) then
				RollOnLoot(id, 1)
			else
				RollOnLoot(id, 2)
			end
		end
	end,
	['init'] = function()
		options = addon['MH_GetOptions']()
		local grp = addon:AddConfigMenu({['name'] = modName, ['order'] = 20,['menuGet'] = getPref, ['menuSet'] = setPref},options)
		for k,v in pairs(orbList) do
			local itemName = GetItemInfo(k)
			if(itemName) then
				addon:AddConfigEntry("zz_MiscHelper","toggle","needOrb"..k,"Need "..itemName,"Greed is default if you dont need.",1,nil,nil,nil,nil,grp)
			end
		end
	end,
}