local name, addon = ...
local modName = "hideclock"
local message = {
	["enUS"] = "Hide the minimap-clock",
	["deDE"] = "Versteckt die Minimap-Uhr"
}
addon['mhmods'] = addon['mhmods'] or {}

local function script(self)
	self:Hide()
end
local orgShow = nil
local function hideClock()
	TimeManagerClockButton:SetScript("OnUpdate", nil)
	TimeManagerClockButton:SetScript("OnEvent", nil)
	orgShow = orgShow or TimeManagerClockButton:GetScript("OnShow")
	TimeManagerClockButton:SetScript("OnShow", script)
	TimeManagerClockButton:Hide()
end
local function unhideClock()
	TimeManagerClockButton:SetScript("OnUpdate", TimeManagerClockButton_OnUpdate)
	TimeManagerClockButton:SetScript("OnShow", orgShow)
	TimeManagerClockButton:Show()
end
addon['mhmods'][#addon['mhmods'] + 1] = {
	['name'] = modName,
	['message'] = message[GetLocale()] or message["enUS"],
	['init'] = function()
		LoadAddOn("Blizzard_TimeManager")
		hideClock()
	end,
	['disable'] = unhideClock,
	['events'] = { "PLAYER_ENTERING_WORLD" },
	['onevent'] = hideClock,
}